Index: sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,12 +90,12 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"vol_frac_ls",Py_BuildValue("d",0.100000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.001000));
-        PyDict_SetItemString(self->params,"vol_frac_ss",Py_BuildValue("d",0.200000));
-        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"ls_sld",Py_BuildValue("d",0.000003));
-        PyDict_SetItemString(self->params,"ss_sld",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"s_radius",Py_BuildValue("d",25.000000));
-        PyDict_SetItemString(self->params,"l_radius",Py_BuildValue("d",100.000000));
+        PyDict_SetItemString(self->params,"vol_frac_ls",Py_BuildValue("d",0.10000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00100000));
+        PyDict_SetItemString(self->params,"vol_frac_ss",Py_BuildValue("d",0.20000000));
+        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.00000636));
+        PyDict_SetItemString(self->params,"ls_sld",Py_BuildValue("d",0.00000350));
+        PyDict_SetItemString(self->params,"ss_sld",Py_BuildValue("d",0.00000050));
+        PyDict_SetItemString(self->params,"s_radius",Py_BuildValue("d",25.00000000));
+        PyDict_SetItemString(self->params,"l_radius",Py_BuildValue("d",100.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CBinaryHSPSF11Model.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBinaryHSPSF11Model.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CBinaryHSPSF11Model.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,12 +90,12 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"vol_frac_ls",Py_BuildValue("d",0.200000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.001000));
-        PyDict_SetItemString(self->params,"vol_frac_ss",Py_BuildValue("d",0.200000));
-        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"ls_sld",Py_BuildValue("d",0.000003));
-        PyDict_SetItemString(self->params,"ss_sld",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"s_radius",Py_BuildValue("d",25.000000));
-        PyDict_SetItemString(self->params,"l_radius",Py_BuildValue("d",160.000000));
+        PyDict_SetItemString(self->params,"vol_frac_ls",Py_BuildValue("d",0.20000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00100000));
+        PyDict_SetItemString(self->params,"vol_frac_ss",Py_BuildValue("d",0.20000000));
+        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.00000636));
+        PyDict_SetItemString(self->params,"ls_sld",Py_BuildValue("d",0.00000350));
+        PyDict_SetItemString(self->params,"ss_sld",Py_BuildValue("d",0.00000050));
+        PyDict_SetItemString(self->params,"s_radius",Py_BuildValue("d",25.00000000));
+        PyDict_SetItemString(self->params,"l_radius",Py_BuildValue("d",160.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,14 +90,14 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.570000));
-        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"thickness",Py_BuildValue("d",10.000000));
-        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",20.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"shell_sld",Py_BuildValue("d",0.000004));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.57000000));
+        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"thickness",Py_BuildValue("d",10.00000000));
+        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",20.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"shell_sld",Py_BuildValue("d",0.00000400));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,15 +90,15 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sld_core",Py_BuildValue("d",0.000002));
-        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"polar_shell",Py_BuildValue("d",30.000000));
-        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"equat_shell",Py_BuildValue("d",250.000000));
-        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.001000));
-        PyDict_SetItemString(self->params,"equat_core",Py_BuildValue("d",200.000000));
-        PyDict_SetItemString(self->params,"polar_core",Py_BuildValue("d",20.000000));
-        PyDict_SetItemString(self->params,"sld_shell",Py_BuildValue("d",0.000001));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sld_core",Py_BuildValue("d",0.00000200));
+        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"polar_shell",Py_BuildValue("d",30.00000000));
+        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.00000630));
+        PyDict_SetItemString(self->params,"equat_shell",Py_BuildValue("d",250.00000000));
+        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00100000));
+        PyDict_SetItemString(self->params,"equat_core",Py_BuildValue("d",200.00000000));
+        PyDict_SetItemString(self->params,"polar_core",Py_BuildValue("d",20.00000000));
+        PyDict_SetItemString(self->params,"sld_shell",Py_BuildValue("d",0.00000100));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CCoreShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CCoreShellModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,11 +90,11 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"thickness",Py_BuildValue("d",10.000000));
-        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.000003));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",60.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"shell_sld",Py_BuildValue("d",0.000002));
+        PyDict_SetItemString(self->params,"core_sld",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"thickness",Py_BuildValue("d",10.00000000));
+        PyDict_SetItemString(self->params,"solvent_sld",Py_BuildValue("d",0.00000300));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",60.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"shell_sld",Py_BuildValue("d",0.00000200));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCylinderModel.cpp	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_models/CCylinderModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,12 +90,12 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sldCyl",Py_BuildValue("d",0.000004));
-        PyDict_SetItemString(self->params,"cyl_theta",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",20.000000));
-        PyDict_SetItemString(self->params,"cyl_phi",Py_BuildValue("d",1.000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sldCyl",Py_BuildValue("d",0.00000400));
+        PyDict_SetItemString(self->params,"cyl_theta",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",20.00000000));
+        PyDict_SetItemString(self->params,"cyl_phi",Py_BuildValue("d",1.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,6 +90,6 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",20.000000));
+        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",20.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,6 +90,6 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"radius_b",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"radius_a",Py_BuildValue("d",20.000000));
+        PyDict_SetItemString(self->params,"radius_b",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"radius_a",Py_BuildValue("d",20.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,12 +90,12 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.570000));
-        PyDict_SetItemString(self->params,"radius_b",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"radius_a",Py_BuildValue("d",20.000000));
-        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"sldEll",Py_BuildValue("d",0.000004));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.57000000));
+        PyDict_SetItemString(self->params,"radius_b",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"radius_a",Py_BuildValue("d",20.00000000));
+        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"sldEll",Py_BuildValue("d",0.00000400));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,14 +90,14 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sldCyl",Py_BuildValue("d",0.000004));
-        PyDict_SetItemString(self->params,"cyl_psi",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"r_minor",Py_BuildValue("d",20.000000));
-        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"cyl_theta",Py_BuildValue("d",1.570000));
-        PyDict_SetItemString(self->params,"r_ratio",Py_BuildValue("d",1.500000));
-        PyDict_SetItemString(self->params,"cyl_phi",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sldCyl",Py_BuildValue("d",0.00000400));
+        PyDict_SetItemString(self->params,"cyl_psi",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"r_minor",Py_BuildValue("d",20.00000000));
+        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"cyl_theta",Py_BuildValue("d",1.57000000));
+        PyDict_SetItemString(self->params,"r_ratio",Py_BuildValue("d",1.50000000));
+        PyDict_SetItemString(self->params,"cyl_phi",Py_BuildValue("d",0.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,11 +90,11 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sldCyl",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",1000.000000));
-        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000100));
-        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",20.000000));
-        PyDict_SetItemString(self->params,"kuhn_length",Py_BuildValue("d",100.000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sldCyl",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",1000.00000000));
+        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.00000630));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00010000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",20.00000000));
+        PyDict_SetItemString(self->params,"kuhn_length",Py_BuildValue("d",100.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CGaussian.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CGaussian.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CGaussian.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,7 +90,7 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sigma",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"center",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sigma",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"center",Py_BuildValue("d",0.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,6 +90,6 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"effect_radius",Py_BuildValue("d",50.000000));
-        PyDict_SetItemString(self->params,"volfraction",Py_BuildValue("d",0.200000));
+        PyDict_SetItemString(self->params,"effect_radius",Py_BuildValue("d",50.00000000));
+        PyDict_SetItemString(self->params,"volfraction",Py_BuildValue("d",0.20000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,10 +90,10 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"temperature",Py_BuildValue("d",318.160000));
-        PyDict_SetItemString(self->params,"saltconc",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"dielectconst",Py_BuildValue("d",71.080000));
-        PyDict_SetItemString(self->params,"volfraction",Py_BuildValue("d",0.019200));
-        PyDict_SetItemString(self->params,"charge",Py_BuildValue("d",19.000000));
-        PyDict_SetItemString(self->params,"effect_radius",Py_BuildValue("d",20.750000));
+        PyDict_SetItemString(self->params,"temperature",Py_BuildValue("d",318.16000000));
+        PyDict_SetItemString(self->params,"saltconc",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"dielectconst",Py_BuildValue("d",71.08000000));
+        PyDict_SetItemString(self->params,"volfraction",Py_BuildValue("d",0.01920000));
+        PyDict_SetItemString(self->params,"charge",Py_BuildValue("d",19.00000000));
+        PyDict_SetItemString(self->params,"effect_radius",Py_BuildValue("d",20.75000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision f10063e8f3c53d2be93abaea9c0d3d4f3061d444)
+++ sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,13 +90,13 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"sldCyl",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"core_radius",Py_BuildValue("d",20.000000));
-        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.570000));
-        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.000000));
-        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.000001));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.010000));
-        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",30.000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"sldCyl",Py_BuildValue("d",0.00000630));
+        PyDict_SetItemString(self->params,"core_radius",Py_BuildValue("d",20.00000000));
+        PyDict_SetItemString(self->params,"axis_theta",Py_BuildValue("d",1.57000000));
+        PyDict_SetItemString(self->params,"length",Py_BuildValue("d",400.00000000));
+        PyDict_SetItemString(self->params,"axis_phi",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"sldSolv",Py_BuildValue("d",0.00000100));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.01000000));
+        PyDict_SetItemString(self->params,"radius",Py_BuildValue("d",30.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,11 +90,11 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"h_thickness",Py_BuildValue("d",10.000000));
-        PyDict_SetItemString(self->params,"sld_tail",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"t_length",Py_BuildValue("d",15.000000));
-        PyDict_SetItemString(self->params,"sld_head",Py_BuildValue("d",0.000003));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"h_thickness",Py_BuildValue("d",10.00000000));
+        PyDict_SetItemString(self->params,"sld_tail",Py_BuildValue("d",0.00000040));
+        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.00000600));
+        PyDict_SetItemString(self->params,"t_length",Py_BuildValue("d",15.00000000));
+        PyDict_SetItemString(self->params,"sld_head",Py_BuildValue("d",0.00000300));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CLamellarModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CLamellarModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,9 +90,9 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"sld_sol",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"bi_thick",Py_BuildValue("d",50.000000));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"sld_bi",Py_BuildValue("d",0.000001));
+        PyDict_SetItemString(self->params,"sld_sol",Py_BuildValue("d",0.00000630));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"bi_thick",Py_BuildValue("d",50.00000000));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00000000));
+        PyDict_SetItemString(self->params,"sld_bi",Py_BuildValue("d",0.00000100));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
Index: sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision 308052778784baf067479c9e63914a0293dc7ebd)
+++ sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision c724ccd87499a21402fee0d11d517066f99ddf9b)
@@ -90,14 +90,14 @@
         
         // Initialize parameter dictionary
-        PyDict_SetItemString(self->params,"n_plates",Py_BuildValue("d",30.000000));
-        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.000000));
-        PyDict_SetItemString(self->params,"deltaT",Py_BuildValue("d",10.000000));
-        PyDict_SetItemString(self->params,"spacing",Py_BuildValue("d",40.000000));
-        PyDict_SetItemString(self->params,"sld_tail",Py_BuildValue("d",0.000000));
-        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.000006));
-        PyDict_SetItemString(self->params,"caille",Py_BuildValue("d",0.001000));
-        PyDict_SetItemString(self->params,"sld_head",Py_BuildValue("d",0.000002));
-        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.001000));
-        PyDict_SetItemString(self->params,"deltaH",Py_BuildValue("d",2.000000));
+        PyDict_SetItemString(self->params,"n_plates",Py_BuildValue("d",30.00000000));
+        PyDict_SetItemString(self->params,"scale",Py_BuildValue("d",1.00000000));
+        PyDict_SetItemString(self->params,"deltaT",Py_BuildValue("d",10.00000000));
+        PyDict_SetItemString(self->params,"spacing",Py_BuildValue("d",40.00000000));
+        PyDict_SetItemString(self->params,"sld_tail",Py_BuildValue("d",0.00000040));
+        PyDict_SetItemString(self->params,"sld_solvent",Py_BuildValue("d",0.00000600));
+        PyDict_SetItemString(self->params,"caille",Py_BuildValue("d",0.00100000));
+        PyDict_SetItemString(self->params,"sld_head",Py_BuildValue("d",0.00000200));
+        PyDict_SetItemString(self->params,"background",Py_BuildValue("d",0.00100000));
+        PyDict_SetItemString(self->params,"deltaH",Py_BuildValue("d",2.00000000));
         // Initialize dispersion / averaging parameter dict
         DispersionVisitor* visitor = new DispersionVisitor();
